Bug 472634 - F10 Hang - EQ overflowing - infinite loop - b43-phy0 - ATI Radeon - Multiple Models
F10 Hang - EQ overflowing - infinite loop - b43-phy0 - ATI Radeon - Multiple ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 00:41 EST by Gerald Cox
Modified: 2018-04-11 03:02 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:55:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log when system locks (372.68 KB, text/plain)
2008-11-22 00:45 EST, Gerald Cox
no flags Details
Xorg.0.log when using "nomodeset" parameter - workaround (59.42 KB, text/plain)
2008-11-22 12:01 EST, Gerald Cox
no flags Details
Screenshot showing random lines artefacts on screen (169.92 KB, image/png)
2008-12-09 20:39 EST, Gerald Cox
no flags Details
xorg log without "nomodeset" - completely unreadable login screen (37.48 KB, text/plain)
2008-12-19 11:12 EST, Gerald Cox
no flags Details
xorg log without "nomodeset" - completely unreadable login screen (37.35 KB, text/plain)
2008-12-24 22:36 EST, Gerald Cox
no flags Details
Xorg log when failure occurs - Radeon X300 (145.07 KB, text/plain)
2009-02-14 09:15 EST, Gerald Cox
no flags Details
dmesg when failure occurs - Radeon X300 (35.28 KB, text/plain)
2009-02-14 09:16 EST, Gerald Cox
no flags Details

  None (edit)
Description Gerald Cox 2008-11-22 00:41:12 EST
Description of problem:
System display and/or keyboard lockup


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.9.0-54.fc10.x86_64
kernel-2.6.27.5-117.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gerald Cox 2008-11-22 00:43:48 EST
Had to save before finish original entry because system keeps locking.  System lockup when using firefox browser.  Usually happens within 15 minutes of browsing, sometimes sooner.  Xorg log shows:

[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
(EE) b43-phy0: Read error: No such device
Comment 2 Gerald Cox 2008-11-22 00:45:49 EST
Created attachment 324398 [details]
Xorg.0.log when system locks

Pressing power button during lockup is accepted and system shutdown occurs.
Comment 3 Gerald Cox 2008-11-22 11:06:11 EST
Issue does not occur when using vesa driver.  Although when using the vesa driver the quality of the display in general leaves a bit to be desired.
Comment 4 Gerald Cox 2008-11-22 11:59:17 EST
Workaround:
Problem does not occur when booting using the "nomodeset" parameter.
Comment 5 Gerald Cox 2008-11-22 12:01:15 EST
Created attachment 324404 [details]
Xorg.0.log when using "nomodeset" parameter - workaround
Comment 6 Matěj Cepl 2008-11-22 18:37:27 EST
Here is the beauty:

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e7a26]
1: /usr/bin/X(mieqEnqueue+0x291) [0x4c8591]
2: /usr/bin/X(xf86PostMotionEventP+0xc4) [0x491494]
3: /usr/bin/X(xf86PostMotionEvent+0xa9) [0x491669]
4: /usr/lib64/xorg/modules/input//synaptics_drv.so [0x199f832]
5: /usr/lib64/xorg/modules/input//synaptics_drv.so [0x19a1de2]
6: /usr/bin/X [0x47a765]
7: /usr/bin/X [0x46b307]
8: /lib64/libc.so.6 [0x3973a32f60]
9: /lib64/libc.so.6(memcpy+0x11) [0x3973a841b1]
10: /usr/lib64/xorg/modules//libfb.so(fbBlt+0xbbc) [0x3dbe29c]
11: /usr/lib64/xorg/modules//libfb.so(fbCopyNtoN+0x1de) [0x3dc150e]
12: /usr/lib64/xorg/modules//libexa.so(exaCopyNtoN+0x2be) [0x1f0d17e]
13: /usr/lib64/xorg/modules//libexa.so(exaComposite+0x921) [0x1f125b1]
14: /usr/bin/X [0x5291b8]
15: /usr/lib64/xorg/modules//libexa.so [0x1f0df87]
16: /usr/lib64/xorg/modules//libexa.so(exaGlyphs+0x47a) [0x1f0eada]
17: /usr/bin/X [0x5294d1]
18: /usr/bin/X [0x51bc45]
19: /usr/bin/X(Dispatch+0x364) [0x4468d4]
20: /usr/bin/X(main+0x45d) [0x42cd1d]
21: /lib64/libc.so.6(__libc_start_main+0xe6) [0x3973a1e546]
22: /usr/bin/X [0x42c0f9]
Comment 7 b.tataroiu 2008-11-23 04:28:57 EST
Isn't this duplicate of bug 472314?
Comment 8 Gerald Cox 2008-11-23 10:08:52 EST
Not sure.  472314 describes a complete system freeze.  I don't experience a system freeze, in my case only the display and keyboard lockup.  Previously when I had the issue I was burning an ISO image to a DVD and that process continued until completion.  I am able to press the power button to perform an orderly system shutdown.  Also, using the "nomodeset" parameter completely circumvents the issue.
Comment 9 Bug Zapper 2008-11-26 00:46:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Jóhann B. Guðmundsson 2008-12-01 05:59:33 EST
There have been bunch of bug fixes

Could you retest with the latest kernel 
( -132 at the time of this writing )

You can get the latest kernel build here
http://koji.fedoraproject.org/koji/buildinfo?buildID=72270 

And with the latest xorg-x11-drv-ati. 
( -60 at the time of this writing )

You can get the latest xorg-x11-drv-ati build here
http://koji.fedoraproject.org/koji/packageinfo?packageID=95

And report back if it either improves or fixes this issue..

Thanks.
Comment 11 Gerald Cox 2008-12-09 20:38:05 EST
Applied kernel -132 and xorg-x11-drv-ati -62
With latest updates screen now has random line artefacts.  Attached
screenshot.
Comment 12 Gerald Cox 2008-12-09 20:39:18 EST
Created attachment 326440 [details]
 Screenshot showing random lines artefacts on screen
Comment 13 Gerald Cox 2008-12-09 23:04:08 EST
Random line artefacts occur starting with xorg-x11-drv.ati -61; issue does not occur in -60.
Comment 14 P. E. Jean 2008-12-14 09:28:36 EST
The original issue described in this bug report is still occurring for me with kernel-2.6.27.8-144.fc10.i686 and xorg-x11-drv-ati-6.9.0-61.fc10.i386. The only difference, is that I don't see any error in my Xorg log file when the system locks.

I found 2 reliable ways to reproduce this bug :
- Move around the GIMP's image window with some random drawing on it. It may take a few seconds for the system to freeze when doing this.
- Move any window in a remote desktop session when connected to a machine running Windows Vista. This will always freeze the system within a second.
Comment 15 Patrick Dubois 2008-12-15 13:34:16 EST
I'd like to confirm this issue still occurs on my laptop suffers from this issue as well.  Log entries indicating EQ overflow have been confirmed as well.

Laptop is an HP L2000 model, with ati 200m.  

Is there anything I can do to help with advancing this ticket?
Comment 16 Patrick Dubois 2008-12-15 13:43:39 EST
Yikes - firstly, I apologize for my abrupt failure of the english language.  This bug just locked up my laptop for the 3rd time in 60 minutes and now seems to be affecting my brain's language center. :\

Secondly,  I'd like to mention my kernel and ati driver versions are as follows;

Linux reddog 2.6.27.7-134.fc10.x86_64 #1 SMP Mon Dec 1 22:21:35 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

Name        : xorg-x11-drv-ati             Relocations: (not relocatable)
Version     : 6.9.0                             Vendor: Fedora Project
Release     : 61.fc10                       Build Date: Tue Dec  2 04:21:35 2008
Install Date: Sun Dec 14 17:22:45 2008         Build Host: x86-4.fedora.phx.redhat.com
Group       : User Interface/X Hardware Support   Source RPM: xorg-x11-drv-ati-6.9.0-61.fc10.src.rpm
Size        : 745700                           License: MIT
Signature   : DSA/SHA1, Thu Dec  4 19:51:33 2008, Key ID bf226fcc4ebfc273
Packager    : Fedora Project
URL         : http://www.x.org
Summary     : Xorg X11 ati video driver
Description :
X.Org X11 ati video driver.

...again, if there's anything I can do to help...
Comment 17 Gerald Cox 2008-12-19 11:11:10 EST
System no long hangs.  At first glance things seem to be
alot better with current updates using "nomodeset".  However, if I don't use
"nomodeset" now I get a completely unreadable, garbage login screen.  The only
way to recover is to press the power button to shutdown and then boot using
"nomodeset".  I've attached the xorg.log. I have no way of know whether or not the system still hangs without "nomodeset" because the system is not usable without it.

kernel-2.6.27.7-134.fc10.x86_64
xorg-x11-drv-ati-6.9.0-62.fc10.x86_64
Comment 18 Gerald Cox 2008-12-19 11:12:02 EST
Created attachment 327457 [details]
xorg log without "nomodeset" - completely unreadable login screen
Comment 19 Patrick Dubois 2008-12-21 21:16:06 EST
Now running :

Kernel 2.6.27.7-134.fc10.x86_64 
xorg-x11-drv-ati-6.9.0-62.fc10.x86_64

Has been stable since the update.  Kernel mode setting still causes sluggish performance but no lockups.

Still some garbage when displaying tray icons but this may be a KDE issue.

Excellent work. Thanks!
Comment 20 Jörg Prante 2008-12-22 19:42:05 EST
Not so excellent work...

I have hard lock ups at gdm login on Powerbook G4 (RV350) with

kernel-2.6.27.7-134.fc10.ppc
xorg-x11-drv-ati-6.9.0-62.fc10.ppc

(EE) RADEON(0): Idle timed out, resetting engine...
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Downgrading to xorg-x11-drv-ati-6.9.0-54.fc10.ppc makes all work again, flawlessly.
Comment 21 Gerald Cox 2008-12-24 22:36:24 EST
Created attachment 327830 [details]
xorg log without "nomodeset" - completely unreadable login screen
Comment 22 Gerald Cox 2008-12-24 22:37:14 EST
Applied:
kernel-2.6.27.9-159.fc10.x86_64
xorg-x11-drv-ati-6.9.0-63.fc10.x86_64

No apparent change from:
kernel-2.6.27.7-134.fc10.x86_64
xorg-x11-drv-ati-6.9.0-62.fc10.x86_64

Random screen artefacts are gone now as mentioned previously.  At first glance
things seem to be
alot better with current updates using "nomodeset".  However, if I don't use
"nomodeset" now I get a completely unreadable, garbage login screen.  The only
way to recover is to press the power button to shutdown and then boot using
"nomodeset".  I've attached the xorg.log.
Comment 23 Daniel Horne 2009-01-03 14:21:07 EST
Not getting any EQ overflow log messages here, but do get a failure where the display and keyboard locks up (although the mouse still moves).

Attaching a gdb instance to X yields this backtrace:

#0  0x00007ff2b9c7c777 in ioctl () from /lib/libc.so.6
#1  0x00007ff2b8953b15 in drmDMA () from /usr/lib/libdrm.so.2
#2  0x00007ff2b80621de in RADEONCPGetBuffer (pScrn=0x7fe9b0) at radeon_accel.c:593
#3  0x00007ff2b8062370 in RADEONCPFlushIndirect (pScrn=0x7fe9b0, discard=1) at radeon_accel.c:647
#4  0x00007ff2b80ab4a8 in RADEONPrepareSolidCP (pPix=<value optimized out>, alu=3, pm=4294967295, fg=3432552600) at radeon_exa_funcs.c:103
#5  0x00007ff2b77ea528 in ?? () from /usr/lib64/xorg/modules//libexa.so
#6  0x00007ff2b77eae4b in ?? () from /usr/lib64/xorg/modules//libexa.so
#7  0x00000000005201f4 in ?? ()
#8  0x0000000000508fc1 in miCompositeRects ()
#9  0x0000000000510581 in ?? ()
#10 0x0000000000449654 in Dispatch ()
#11 0x00000000004314ba in main ()

This is with xf86-video-ati 6.9.0.91, xorg-server 1.5.3, and a radeon x850
Comment 24 Mark 2009-01-19 20:13:38 EST
Seriously, how long does it take to fix a bug that crashes the system randomly?  Has an update been made that I'm not aware of?  Here's my trace.  This is getting annoying.  

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b379]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc2) [0x80d4262]
3: /usr/bin/Xorg(xf86PostMotionEvent+0x68) [0x80d43c8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0x16cd05]
5: /usr/bin/Xorg [0x80bcdb7]
6: /usr/bin/Xorg [0x80ac91e]
7: [0x110400]
8: /usr/bin/Xorg [0x812f4c0]
9: [0x110400]
10: [0x110416]
11: /lib/libc.so.6(ioctl+0x19) [0x988979]
12: /usr/lib/libdrm.so.2 [0x3b676cf]
13: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x3b67984]
14: /usr/lib/xorg/modules/drivers//intel_drv.so(I830Sync+0x135) [0x249ca5]
15: /usr/lib/xorg/modules/drivers//intel_drv.so [0x27397a]
16: /usr/lib/xorg/modules//libexa.so(exaWaitSync+0x65) [0x15d095]
17: /usr/lib/xorg/modules//libexa.so(ExaDoPrepareAccess+0x7e) [0x15e3ae]
18: /usr/lib/xorg/modules//libexa.so [0x1633b2]
19: /usr/lib/xorg/modules//libexa.so [0x163905]
20: /usr/lib/xorg/modules//libexa.so(exaDoMigration+0x652) [0x1640c2]
21: /usr/lib/xorg/modules//libexa.so [0x165ae3]
22: /usr/lib/xorg/modules//libexa.so(exaComposite+0xd5a) [0x16692a]
23: /usr/bin/Xorg [0x816f6fa]
24: /usr/bin/Xorg(CompositePicture+0x19a) [0x815818a]
25: /usr/bin/Xorg [0x815e055]
26: /usr/bin/Xorg [0x815ad75]
27: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e9f]
28: /usr/bin/Xorg(main+0x47d) [0x806b71d]
29: /lib/libc.so.6(__libc_start_main+0xe5) [0x8c36e5]
30: /usr/bin/Xorg [0x806ab01]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Comment 25 Travers Carter 2009-02-09 01:27:07 EST
I'm seeing what looks like the same problem on a Radeon X550 (RV370) (booted with nomodeset) with KDE desktop effects enabled (using KDE 4.2 from updates-testing). I have not (yet) experienced the problem since disabling KDE desktop effects, with desktop effects enabled the X server would usually lock up within 20 minutes or so of logging in.

When X locks up the system won't respond to the power button, keyboard or mouse buttons, but the mouse cursor still moves.

Kernel/driver versions are
Linux 2.6.27.12-170.2.5.fc10.i686 i686 athlon i386
xorg-x11-drv-ati-6.10.0-1.fc10.i386


From Xorg.0.log.old:
...
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x3b) [0x812bd6b]
1: /usr/bin/X(mieqEnqueue+0x289) [0x810b469]
2: /usr/bin/X(xf86PostMotionEventP+0xc2) [0x80d4262]
3: /usr/bin/X(xf86PostMotionEvent+0x68) [0x80d43c8]
4: /usr/lib/xorg/modules/input//evdev_drv.so [0x54cd25]
5: /usr/bin/X [0x80bcdb7]
6: /usr/bin/X [0x80ac91e]
7: [0x7b3400]
8: [0x7b3416]
9: /lib/libc.so.6(ioctl+0x19) [0xa14979]
10: /usr/lib/libdrm.so.2 [0x31616cf]
11: /usr/lib/libdrm.so.2(drmCommandWrite+0x34) [0x3161984]
12: /usr/lib/dri/r300_dri.so [0x4fe84b]
13: /usr/lib/dri/libdricore.so(_mesa_Finish+0x68) [0xd623c9]
14: /usr/lib/xorg/modules/extensions//libglx.so [0x2cda07]
15: /usr/lib/xorg/modules/extensions//libglx.so [0x2ccae7]
16: /usr/lib/xorg/modules/extensions//libglx.so [0x2d163a]
17: /usr/bin/X(Dispatch+0x34f) [0x8085e9f]
18: /usr/bin/X(main+0x47d) [0x806b71d]
19: /lib/libc.so.6(__libc_start_main+0xe5) [0x94f6e5]
20: /usr/bin/X [0x806ab01]
[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.
...
Comment 26 Gerald Cox 2009-02-14 09:12:36 EST
Having the same issue as comment #25 on my desktop system after the KDE 4.2 upgrade was pushed yesterday (with Desktop effects enabled).  Doesn't matter if the system is started with modeset or nomodeset with Radeon X300.  Changing description to Radeon instead of specific to 200M since this appears to now have spread.  Turned off Desktop effects and systems now appear to be stable.  With desktop effects on, they can't stay up longer than a few minutes.  Attaching dmesg and Xorg logs.
Comment 27 Gerald Cox 2009-02-14 09:15:21 EST
Created attachment 331921 [details]
Xorg log when failure occurs - Radeon X300
Comment 28 Gerald Cox 2009-02-14 09:16:53 EST
Created attachment 331923 [details]
dmesg when failure occurs - Radeon X300
Comment 29 Gerald Cox 2009-02-14 09:35:44 EST
Initially thought this problem was due to xorg-x11-drv-ati-6.10.0-2.fc10
but backed out and same thing occurs with xorg-x11-drv-ati-6.9.0-54.fc10 - looks like KDE 4.2 with desktop effects is triggering badness in the ati-driver.
Comment 30 Adam Williamson 2009-02-20 17:52:43 EST
Could everyone talking about graphical corruption, or crashes / hangs / other failures which do *not* manifest as "[mi] EQ overflowing. The server is probably stuck in an infinite loop." in the X logs, please either file a new bug or find an existing bug that is in fact the same as your bug? It becomes very difficult to follow and maintain bug reports when six different people are using them to report ten different issues.

This bug is *only* about a problem which manifests as an input lock (can't do anything with keyboard or mouse, but pressing power button triggers a smooth shutdown), with "[mi] EQ overflowing. The server is probably stuck in an infinite loop." messages appearing in the X logs.

The error message looked familiar to me from Mandriva stuff, and indeed:

http://wiki.mandriva.com/en/2009.0_Errata#Periodic_freeze_of_the_graphical_system
https://qa.mandriva.com/show_bug.cgi?id=42833

which considers it to be, in fact, a DRM issue. Dave, WDYT? Could it be the same thing here?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 31 Orion Poplawski 2009-02-24 18:41:36 EST
Is there a Fedora equivalent to the mandriva "linux-nonfb" boot option?

Do we have a "best" workaround?
Comment 32 Adam Williamson 2009-02-25 10:58:47 EST
"Is there a Fedora equivalent to the mandriva "linux-nonfb" boot option?"

vga=normal (or any other invalid parameter, so framebuffer gets disabled). linux-nonfb is just a bootloader entry with framebuffer disabled.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 33 Orion Poplawski 2009-02-25 12:07:20 EST
Running glxgears (and maybe then covering it with another window?) seems to be a good trigger for me.

boot options:

rhgb -> 
RADEON DRM CS failure - corruptions/glitches may occur -22
bufmgr: last submission : r:51968 vs g:525332480 w:3081728 vs v:107060427
....
machine is alive (network okay), cursor moves, no response otherwise

vga=normal -> complete machine lockup
nomodeset -> complete machine lockup
rhgb nomodeset -> complete machine lockup

xorg-x11-server-Xorg-1.5.3-13.fc10.x86_64
xorg-x11-drv-ati-6.10.0-2.fc10.x86_64
libdrm-2.4.0-0.21.fc10.x86_64
mesa-libGL-7.2-0.15.fc10.x86_64

01:00.0 VGA compatible controller: ATI Technologies Inc RV370 [Sapphire X550 Silent]

I was seeing EQ overflow messages yesterday, but can't seem to reproduce again today.
Comment 34 joseph A 2009-04-16 16:05:34 EDT
I seem to have the exact same problem, on an HP AMD Athalon 64, with integrated SiS 760 graphics chipset. 
X locks up completely. After the lockup, I can ssh into the m/c, run jobs, do CLI stuff as normal. The host, network IF, everything is fine, no cpu spikes, or load. I can do init 6, to cleanly reboot.
After almost a frustrating month, I can reproduce this every time, I move the mouse’s middle scroll wheel.

I have the exact same kernel on a Retail motherboard with a discrete Nvidia Fx5200 graphics card, this never happens on this m/c. This m/c is also an athalon 64. All this is with Fedora 10.

From what I can see with a google search, this seems to happen across Distributions. I read in an Xorg bug related to this, that compiling the mi module with MI queue size to 1024 from 512, may delay this occurrence, have not tried this.
Happens under, gnome or Xfce desktops, never tried KDE.
Comment 35 Bug Zapper 2009-11-18 02:47:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Laurent Wandrebeck 2009-12-02 07:03:17 EST
Happens in F12 too, with KMS, and (--) PCI:*(0:1:0:0) 1002:94c1:174b:e390 ATI Technologies Inc RV610 [Radeon HD 2400 XT] rev 0

[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e8d8]
1: /usr/bin/Xorg (mieqEnqueue+0x1f4) [0x49e2a4]
2: /usr/bin/Xorg (xf86PostButtonEventP+0xcf) [0x478b1f]
3: /usr/bin/Xorg (xf86PostButtonEvent+0xbe) [0x478c4e]
4: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7fa6859eb000+0x5143) [0x7fa6859f0143]
5: /usr/bin/Xorg (0x400000+0x6be17) [0x46be17]
6: /usr/bin/Xorg (0x400000+0x116b13) [0x516b13]
7: /lib64/libpthread.so.0 (0x3cfd400000+0xefa0) [0x3cfd40efa0]
8: /lib64/libc.so.6 (ioctl+0x7) [0x3cfc8d61f7]
9: /usr/lib64/libdrm.so.2 (drmIoctl+0x23) [0x36a7e03203]
10: /usr/lib64/libdrm.so.2 (drmCommandWriteRead+0x1c) [0x36a7e0344c]
11: /usr/lib64/libdrm_radeon.so.1 (0x7fa686ca0000+0xff9) [0x7fa686ca0ff9]
12: /usr/lib64/libdrm_radeon.so.1 (0x7fa686ca0000+0x1045) [0x7fa686ca1045]
13: /usr/lib64/xorg/modules/drivers/radeon_drv.so (0x7fa686ec2000+0xb996e) [0x7fa686f7b96e]
14: /usr/lib64/xorg/modules/libexa.so (0x7fa68625c000+0x8120) [0x7fa686264120]
15: /usr/bin/Xorg (0x400000+0x152bf4) [0x552bf4]
16: /usr/bin/Xorg (0x400000+0x2df50) [0x42df50]
17: /usr/bin/Xorg (0x400000+0x2c69c) [0x42c69c]
18: /usr/bin/Xorg (0x400000+0x21cfa) [0x421cfa]
19: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x3cfc81eb1d]
20: /usr/bin/Xorg (0x400000+0x218a9) [0x4218a9]
Comment 37 Adam Williamson 2009-12-02 14:19:49 EST
wandre: that's a generic error message, it doesn't mean you're suffering from the same bug this reporter is (if you look through bugzilla you'll see tons of those 'EQ overflowing. The server is probably stuck in an infinite loop.' errors, on different cards and drivers). It'd probably be best for you to file a new bug. Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 38 Bug Zapper 2009-12-18 01:55:12 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.